---
layout: default
title: Home
---

ExoPlayer is an application level media player for Android. It provides an
alternative to Android’s MediaPlayer API for playing audio and video both
locally and over the Internet. ExoPlayer supports features not currently
supported by Android’s MediaPlayer API, including DASH and SmoothStreaming
adaptive playbacks. Unlike the MediaPlayer API, ExoPlayer is easy to customize
and extend, and can be updated through Play Store application updates.

## News ##

Read news, hints and tips on the
[developer blog](https://medium.com/google-exoplayer).

## Documentation ##

* The [developer guide][] provides a wealth of information to help you get
  started.
* The [FAQs page][] documents common questions and pitfalls.
* The [class reference][] documents the ExoPlayer library classes.
* The [release notes][] document the major changes in each release.

[developer guide]: https://google.github.io/ExoPlayer/guide.html
[FAQs page]: https://google.github.io/ExoPlayer/faqs.html
[class reference]: https://google.github.io/ExoPlayer/doc/reference
[release notes]: https://github.com/google/ExoPlayer/blob/dev-v2/RELEASENOTES.md

## Source code ##

* Source code can be found in the [ExoPlayer project][] on GitHub.

[ExoPlayer project]: https://github.com/google/ExoPlayer
